using System;
using OrderStacks.model.card.cardType;

namespace OrderStacks.model.deck
{
    public class MilliemeDeck : Deck
    {
        public MilliemeDeck(int nbCard, decimal borneMin, decimal borneMax) : base(nbCard)
        {
            Random random = new Random();
            int borneMinRandom = (int)(borneMin * 1000);
            int borneMaxRandom = (int)(borneMax * 1000);
            while (deck.Count < nbCard && deck.Count < (borneMaxRandom - borneMinRandom))
            {
                int value = random.Next(borneMinRandom, borneMaxRandom);
                InsertionDichotomique(deck, 0, deck.Count-1, new FractionCard(new Fraction(value, 1000, 4)));
            }
        }
    }
}
